/* 當你想為某一個區塊或方塊，增加背景，請在該區塊/方塊上增加class名稱
例如：

在HTML裡：
<div class="abc">我要增加背景</div> 

在css裡：
.abc{
    background-image: url(../images/body_bg.webp);  <------圖檔位置
    background-position: center; <-----圖片在區塊/方塊裡的定位
    background-size: cover;  <-----圖片在區塊/方塊裡的大小
}

 */

/* 補充 
    學習資料
    https://ithelp.ithome.com.tw/articles/10223887
    https://ithelp.ithome.com.tw/articles/10224214
*/



/* 全站背景 */
body {
    background-image: url(../images/bg.png);
    background-position: bottom center;
    background-attachment: fixed;
    background-size: cover;
}

body:before {
    content: "";
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    background: url(../images/bg.png) no-repeat top center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.visualBox{
    background-image: url(../images/kvbg.png);
    background-position: bottom center;
    background-repeat: no-repeat;
    /* background-size: 1440px; */
    background-size: cover;
}

.pen{
    bottom: 20%;
    left: -5%;
    animation: pen 5s infinite ease-in-out;
    transform-origin: bottom left;
}

.bag{
    top: 0;
    left: 0;
}

.crayon{
    top: 0;
    left: 5%;
    /* animation: crayon 5s infinite ease-in-out; */
    /* transform-origin: top right; */
}

.line{
    top: 0;
    left: 0;
    animation: line 5s infinite ease-in-out;
    transform-origin: bottom right;
}

.airplane{
    top: 0;
    left: 0;
    animation: airplane 5s infinite ease-in-out;
    transform-origin: bottom right;
}


@keyframes pen {
    0%,100% {
        transform: rotate(0);
    }
    50% {
        transform: rotate(15deg);
    }
}

@keyframes crayon {
    0%,100% {
        transform: rotate(0);
    }
    50% {
        transform: rotate(-5deg);
    }
}

@keyframes line {
    0%,100% {
        opacity: 0;
    }
    50%{
        opacity: 1;
    }
}

@keyframes airplane {
    0%,100% {
        opacity: 0;
        transform: translate(-5%, 5%);
    }
    50%{
        transform: translate(0);
        opacity: 1;
    }
}


.s2-bg{
    background-image: url(../images/s2-bg.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.s2-pd-bg{
    background-image: url(../images/s2-pd-bg.png);
    background-size: contain;
    background-position: top center;
    background-repeat: no-repeat;
}

@media screen and (max-width: 767px){
    .s2-pd-bg{
        background-image: url(../images/s2-pd-bg-mb.png);
    }
}

.s34-bg{
    background-image: url(../images/s34-bg.png);
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;
}

.s34-pd-bg{
    background-image: url(../images/s34-pd-bg.png);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}



.flyBubble {
  z-index: -1;
  position: absolute;
  pointer-events: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: repeat;
  background-position: center top;
  background-size: 1800px;
  background-image: url(../images/bubble.png);
  animation: bubbleFly 200s ease-out infinite -1s backwards;
}

@media (max-width: 1499px) {
  .flyBubble {
    background-size: 1500px;
    animation: bubbleFly 110s ease-out infinite -1s backwards;
  }
}

@media (max-width: 767px) {
  .flyBubble {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-repeat: repeat-y;
    background-position: center top;
    background-size: 110%;
    background-image: url(../images/bubble.png);
  }
}

@keyframes bubbleFly {
  0% {
    transform: translateY(0%) scale(1);
  }
  100% {
    transform: translateY(-100%) scale(0.98);
  }
}

.floating-box {
    -webkit-animation: baloon_1 5s infinite;
    -moz-animation: baloon_1 5s infinite;
    -ms-animation: baloon_1 5s infinite;
    -o-animation: baloon_1 5s infinite;
    animation: baloon_1 5s infinite;
    -webkit-animation-direction: alternate;
    -moz-animation-direction: alternate;
    -ms-animation-direction: alternate;
    -o-animation-direction: alternate;
    animation-direction: alternate;
}

@keyframes baloon_1 {

    0% {
        transform: translateY(-10px);
    }

    50% {
        transform: translateY(10px);
    }

    100% {
        transform: translateY(-10px);
    }

}

.floating-box-2 {
    -webkit-animation: baloon_2 5s infinite;
    -moz-animation: baloon_2 5s infinite;
    -ms-animation: baloon_2 5s infinite;
    -o-animation: baloon_2 5s infinite;
    animation: baloon_2 5s infinite;
    -webkit-animation-direction: alternate;
    -moz-animation-direction: alternate;
    -ms-animation-direction: alternate;
    -o-animation-direction: alternate;
    animation-direction: alternate;
}

@keyframes baloon_2 {

    0% {
        transform: translateY(20px);
    }

    50% {
        transform: translateY(-10px);
    }

    100% {
        transform: translateY(20px);
    }

}



/* .methodbox-bg{
    background-color: rgb(255 255 255 / 0.5);
    border-radius: 20px;
} */

.mix-blend{
    mix-blend-mode: screen;
    -webkit-mix-blend-mode: screen;
    -o-webkit-mix-blend-mode: screen;
    -moz-mix-blend-mode: screen;
}

.mt-less{
    margin-top: -20px;
}

.mt-less2{
    margin-top: 0px;
}



section#method a{
    color: #ffffff;
    background-color: #961919;
    border-radius: 20px;
    padding: 3px 6px;
}

section#method a:hover{
    color: #961919;
    background-color: #f2dc91;
}


/* .nocarslideinnBox01 {
    background-color: #084B7D;
    padding: 10px;
} */

/* 原價特價折疊控制 打開變1列 關掉變2列 */
.productSetprice .priceBox{
    flex-direction: row !important;
}

/* logo區圖片大小控制 */
.logooutbox .logoinn{
    flex-basis: 11%;
}
.swiperCover .swiper-slide-next, .swiperCover .swiper-slide-last{
    opacity: .5;}
    
/* .swiper-container-3d .swiper-slide-shadow-left, .swiper-container-3d .swiper-slide-shadow-right{
    background-image: none;
} */

/* 其他東西自己寫這↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ */


.squarepppinfoinn-box.pppinfobox{
    background: #075F9E;
    text-decoration: none;
    color: #fff;
}

.swiper-pagination.qq.swiper-pagination-clickable.swiper-pagination-bullets{
    bottom: 15px;
}
.box-atop{
    background-image: url(../images/box-atop.jpg);
    background-repeat: repeat-y;
    margin-top: -50px;
    padding-top: 50px;
    padding-bottom: 30px;
}
.box-abottom{
    background-image: url(../images/box-abottom.png);
    background-repeat: no-repeat;
    margin-top: -30px;
    padding-top: 30px;
}
.dui-container{
    position: relative;
    min-height: 100%;
    width: 100%;
    }

/* 斷點區 */

@media screen and (max-width: 1659px){
    
}
@media screen and (max-width: 1399px){
    
}
@media screen and (max-width: 1199px){
    
}

@media screen and (max-width: 991px){
    
}

@media screen and (max-width: 767px){
    .mt-less2{
    margin-top: -20px;
}


body {
    background-image: url(../images/bg-mb.jpg);
    background-position: top center;
    background-repeat: repeat-y;
    background-size: contain;
}

.visualBox{
    background-image: url(../images/kvbg-mb.png);
}


.s2-bg{
    background-image: url(../images/s2-bg-mb.png);
    background-position: top center;
}

.s34-bg{
    background-image: url(../images/s34-bg-mb.png);
    background-position: top center;
}

/* body:before {
    content: "";
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    background: url(../images/body-bg-mb.png) no-repeat top center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
} */

    .actablebox{
        font-size: 14px;
    }
    .actablebox th.table-title{
        font-size: 1.2rem;
    }
    footer {
        padding-bottom: 15px;
    }


}

@media screen and (max-width: 640px){
    .logooutbox .logoinn{
        flex-basis: 24%;
    }
}

@media screen and (max-width: 480px){

}